org.apache.ignite.internal.processors.platform

## Interface PlatformConfigurationEx

All Known Implementing Classes:
  PlatformCppConfigurationEx, PlatformDotNetConfigurationEx

    public interface PlatformConfigurationEx

Extended platform configuration.

### Method Summary

All Methods Instance Methods Abstract Methods
`Collection<PlatformCacheExtension>` `cacheExtensions()`
`PlatformCallbackGateway` `gate()`
`PlatformLogger` `logger()`
`PlatformMemoryManagerImpl` `memory()`
`String` `platform()`
`Collection<String>` `warnings()`

### Method Detail

#### gate

    PlatformCallbackGateway gate()

#### memory

    PlatformMemoryManagerImpl memory()

Returns:
  Memory manager.

#### platform

    String platform()

Returns:
  Platform name.

#### warnings

    Collection<String> warnings()

Returns:
  Warnings to be displayed on grid start.

#### logger

    PlatformLogger logger()

Returns:
  Platform logger.

#### cacheExtensions

    @Nullable
    Collection<PlatformCacheExtension> cacheExtensions()

Returns:
  Available cache extensions.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.5.0
Release Date | : May 23 2018